﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NetOrientDB.ObjectModel
{
	public class GeneralException : Exception
	{
		public GeneralException() : base() { }
		public GeneralException(string message) : base(message) { }
		public GeneralException(string message, Exception innerException) : base(message, innerException) { }
	}
	public class RestException : GeneralException
	{
		public int StatusCode { get; set; }
		public string StatusMessage { get; set; }
		public string Url { get; set; }
		public string Body { get; set; }
	}
}
